M_ActivityTouchingFishBaseInfo = {}

function M_ActivityTouchingFishBaseInfo:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityTouchingFishBaseInfo:init()
	self.datas = {}
	self.datas["LevelNeedExp"] = {Key = "LevelNeedExp", Value = 2000, StringValue = "每级所需经验"}
	self.datas["FlushTaskNeedDiamond"] = {Key = "FlushTaskNeedDiamond", Value = 20, StringValue = "刷新周任务所需钻石"}
	self.datas["ActivityKeepDays"] = {Key = "ActivityKeepDays", Value = 28, StringValue = "每月活动天数"}
	self.datas["MaxWeekQuestExp"] = {Key = "MaxWeekQuestExp", Value = 80000, StringValue = "每周任务经验上限"}
	self.datas["AdvGiftID"] = {Key = "AdvGiftID", Value = 332, StringValue = "进阶礼包ID"}
	self.datas["WeekSignReward"] = {Key = "WeekSignReward", Value = 2500, StringValue = "周签到奖励经验"}
end

M_ActivityTouchingFishBaseInfo:init()
